#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int N;
    cin>>N;
    if(N<=1){
        cout<<-1;
    }else{
        if(N%2==0){
            for(int i=0;i<N/2;i++){
                cout<<1;
            }
        }else{
            cout<<7;
            for(int i=0;i<N/2;i++){
                cout<<1;
            }
        }
    }
    return 0;
}

